Subject: bug#77095: closed (Re: bug#77095: 31.0.50; Using fill-region doesn't produce commented lines in yaml-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Apr 2025 11:39:02 +0000

Your bug report

#77095: 31.0.50; Using fill-region doesn't produce commented lines in yaml-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77095: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77095
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77095: 31.0.50; Using fill-region doesn't produce commented lines in yaml-ts-mode
From: Eli Zaretskii <[email-masked]>
To: Randy Taylor <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 26 Apr 2025 14:38:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 12 Apr 2025 20:04:50 +0000
> From: Randy Taylor <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> On Thursday, April 10th, 2025 at 03:16, the_wurfkreuz <[email-masked]> wrote:
> > 
> > 
> > I applied the patch and recompiled emacs. I don't see any changes.
> 
> Sorry, I must've turned another mode on or something by mistake. The
> previous patch fixed the problem for fill-paragraph, and something
> like electric-pair-mode being on fixes it for fill-region, too.
> 
> Anyway, I've attached an updated patch that should fix it for fill-region.

Thanks, installed on master, and closing the bug.

Subject: 31.0.50; Using fill-region doesn't produce commented lines in yaml-ts-mode
From: the_wurfkreuz <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 18 Mar 2025 09:11:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

It's the same issue as in this bug report #75978, but for yaml-ts-mode. Do i need to provide reproduction steps still?